Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Dmitry Gutov <[email-masked]>
Date: Wed, 23 Oct 2019 15:47:23 +0300

On 21.10.2019 9:10, Eli Zaretskii wrote:

>> Yeah, so: what's the plan for Magit?
> 
> I don't know, as I don't have a clear idea what faces there are
> affected and why.  I hoped someone, preferably the Magit developers,
> would describe that in enough detail to understand the situation.

The list of faces has been posted here already:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#233

As apparent from their names, most of them are used in a Diff output 
buffer, similar to our diff-mode faces. With the same motivation to 
:extend them.

In anticipation of your next question: no, they don't inherit from any 
of the diff-mode faces.